%global gst_plugins_base_version 1.6.0
%global gtk3_version 3.19.4
%global tarball_version %%(echo %{version} | tr '~' '.')
%bcond_with libportal

Summary: Movie player for GNOME
Name: totem
Version: 43.0
Release: 5%{?dist}

License: GPLv2+ with exceptions
URL: https://wiki.gnome.org/Apps/Videos
Source0: https://download.gnome.org/sources/%{name}/43/%{name}-%{tarball_version}.tar.xz

BuildRequires: /usr/bin/desktop-file-validate liberation-sans-fonts pkgconfig(grilo-0.3) pkgconfig(grilo-pls-0.3)
BuildRequires: meson python3-devel pkgconfig(pygobject-3.0) vala /usr/bin/appstream-util
BuildRequires: gstreamer1-plugins-good-gtk gcc-c++ gettext gtk-doc itstool
BuildRequires: pkgconfig(libhandy-1) pkgconfig(libpeas-gtk-1.0) pkgconfig(totem-plparser) pkgconfig(x11) gstreamer1-plugins-good
BuildRequires: pkgconfig(gstreamer-video-1.0) pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0) >= %{gst_plugins_base_version} pkgconfig(gstreamer-audio-1.0) pkgconfig(gstreamer-tag-1.0)
BuildRequires: pkgconfig(cairo) pkgconfig(gnome-desktop-3.0) pkgconfig(gsettings-desktop-schemas) pkgconfig(gstreamer-1.0) pkgconfig(gstreamer-base-1.0)
%if %{with libportal}
BuildRequires: pkgconfig(libportal-gtk3)
%endif

Requires: gvfs-fuse grilo-plugins gsettings-desktop-schemas gtk3 >= %{gtk3_version}
Requires: gstreamer1 gstreamer1-plugins-base >= %{gst_plugins_base_version} gstreamer1-plugins-good gstreamer1-plugins-good-gtk
Requires: %{name}-video-thumbnailer = %{version}-%{release} libpeas-loader-python3 python3-gobject iso-codes

Recommends: gstreamer1-plugin-openh264
Recommends: gstreamer1-plugins-bad-free

%description
Totem is simple movie player for the GNOME desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

Totem is extensible through a plugin system.

%package video-thumbnailer
Summary: Totem video thumbnailer

%description video-thumbnailer
This package contains the Totem video thumbnailer.

%package devel
Summary: Plugin writer's documentation for totem
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains API documentation for
developing developing plugins for %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson \
    -Denable-gtk-doc=true \
%if %{without libportal}
    -Dlibportal=disabled
%endif
%{nil}

%meson_build -j1

%install
%meson_install
%find_lang %{name} --with-gnome

%py_byte_compile %{python3} %{buildroot}%{_libdir}/totem/plugins/

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.Totem.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Totem.desktop


%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/totem
%{_libexecdir}/totem-gallery-thumbnailer
%{_libdir}/libtotem.so.*
%{_libdir}/girepository-1.0/Totem-1.0.typelib
%{_datadir}/applications/org.gnome.Totem.desktop
%{_datadir}/dbus-1/services/org.gnome.Totem.service
%{_datadir}/metainfo/org.gnome.Totem.appdata.xml
%dir %{_libdir}/totem
%dir %{_libdir}/totem/plugins
%{_libdir}/totem/plugins/opensubtitles
%{_libdir}/totem/plugins/pythonconsole
%{_libdir}/totem/plugins/apple-trailers
%{_libdir}/totem/plugins/autoload-subtitles
%{_libdir}/totem/plugins/im-status
%if %{with libportal}
%{_libdir}/totem/plugins/open-directory
%endif
%{_libdir}/totem/plugins/recent
%{_libdir}/totem/plugins/rotation
%{_libdir}/totem/plugins/screensaver
%{_libdir}/totem/plugins/skipto
%{_libdir}/totem/plugins/properties
%{_libdir}/totem/plugins/mpris
%{_libdir}/totem/plugins/screenshot
%{_libdir}/totem/plugins/save-file
%{_libdir}/totem/plugins/variable-rate
%{_libdir}/totem/plugins/vimeo
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Totem.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Totem-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/totem-tv-symbolic.svg
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_mandir}/man1/totem.1*

%files video-thumbnailer
%license COPYING
%{_bindir}/totem-video-thumbnailer
%{_datadir}/thumbnailers/totem.thumbnailer
%{_mandir}/man1/totem-video-thumbnailer.1*

%files devel
%{_includedir}/totem
%{_libdir}/libtotem.so
%{_libdir}/pkgconfig/totem.pc
%{_datadir}/gir-1.0/Totem-1.0.gir
%{_datadir}/gtk-doc/html/totem

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 43.0-4
- Rebuilt for gstreamer1-plugins-base 1.22.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 20 2023 cunshunxia <cunshunxia@tencent.com> - 43.0-1
- initial build
